using Php;

namespace PhpNative {
    public string strtoupper_static (string value, string php_file, int php_line) throws Error {
        return value.up ();
    }

    public zval strtoupper_zval (zval value, string php_file, int php_line) throws Error {
        return zval.string_value (strtoupper_static (zval_to_string (value), php_file, php_line));
    }
}
